#### 4.23.1.2 emptyFan

`Syntax:`
  `emptyFan(` int d `)`
`Type:`
  fan
`Purpose:`
  empty fan in ambient dimension d
`Example:`

      LIB"gfanlib.so";
      fan f=emptyFan(2);
      f;
      ==> _application PolyhedralFan
      ==> _version 2.2
      ==> _type PolyhedralFan
      ==>
      ==> AMBIENT_DIM
      ==> 2
      ==>
      ==> DIM
      ==> -1
      ==>
      ==> LINEALITY_DIM
      ==> 2
      ==>
      ==> RAYS
      ==>
      ==> N_RAYS
      ==> 0
      ==>
      ==> LINEALITY_SPACE
      ==> 1 0	# 0
      ==> 0 1	# 1
      ==>
      ==> ORTH_LINEALITY_SPACE
      ==>
      ==> F_VECTOR
      ==>
      ==>
      ==> SIMPLICIAL
      ==> 1
      ==>
      ==> PURE
      ==> 1
      ==>
      ==> CONES
      ==>
      ==> MAXIMAL_CONES
      ==>
      ==> MULTIPLICITIES
      ==>

User manual for Singular version 4-0-3, 2016, generated by texi2html.